// Event_Map_Entry_T.inl,v 1.4 2003/01/28 00:18:25 pradeep Exp

template <class PROXY> ACE_INLINE ACE_TYPENAME
TAO_NS_Event_Map_Entry_T<PROXY>::COLLECTION*
TAO_NS_Event_Map_Entry_T<PROXY>::collection (void) {
  return collection_;
}

template <class PROXY> ACE_INLINE int
TAO_NS_Event_Map_Entry_T<PROXY>::count (void)
{
  return this->count_;
}

template <class PROXY> ACE_INLINE CORBA::ULong
TAO_NS_Event_Map_Entry_T<PROXY>::_incr_refcnt (void)
{
  return ++this->usage_count_;
}

template <class PROXY> ACE_INLINE CORBA::ULong
TAO_NS_Event_Map_Entry_T<PROXY>::_decr_refcnt (void)
{
  return --this->usage_count_;
}
